// This file is for overwriting / extending the existing select.js in COMPONENTS folder
;(function($) {
  "use strict"

  NOP.select = Object.create(B2C.select)

  NOP.select.getSelectData = function() {
    let $select = $(this._option.target).find("select"),
      selectValues = []

    $select.find("option").map(function() {
      selectValues.push({
        image: $(this).data("image"),
        text: $(this).text(),
        value: $(this).data("value"),
        selected: $(this).is(":selected")
      })
    })

    return selectValues
  }
})(jQuery)
